Zabbix Documentation 2.4

3.04.04.2 (current)In development:4.4 (devel)Unsupported:1.82.02.22.43.23.4

User Tools

Site Tools


Sidebar

manual:installation:upgrade_notes_242

10 Upgrade notes for 2.4.2

PHP 5.6

If your system has PHP verion 5.6 or later, a php.ini core directive always_populate_raw_post_data must be set to -1.

Daemon changes

SNMP polling logic has been changed to always retry at least once. This should reduce the number of network errors, and might affect poller and network load.

With validation of SNMP responses in place, bad single-variable responses with mismatching OIDs are not accepted by Zabbix server and proxy, and will make related SNMP items go not supported. This makes it impossible to monitor very non-conformant SNMP devices. This has later been fixed in Zabbix 2.4.3.